# DataExchange
TKXSBase
Interface

# Interface_InterfaceMismatch Class Reference

`#include <Interface_InterfaceMismatch.hxx>`

Inheritance diagram for Interface_InterfaceMismatch:

[legend]

## Public Member Functions

Standard_EXPORT | Interface_InterfaceMismatch ()
Standard_EXPORT | Interface_InterfaceMismatch (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Interface_InterfaceMismatch) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Interface_InterfaceMismatch_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Interface_InterfaceMismatch::Interface_InterfaceMismatch | ( |  | ) | `[inline]`

Standard_EXPORT Interface_InterfaceMismatch::Interface_InterfaceMismatch | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Interface_InterfaceMismatch::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_InterfaceError.

static Standard_EXPORT Interface_InterfaceMismatch::Handle | ( | Interface_InterfaceMismatch |  | ) | const`[static]`

static Standard_EXPORT void Interface_InterfaceMismatch::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from Interface_InterfaceError.

static Standard_EXPORT void Interface_InterfaceMismatch::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from Interface_InterfaceError.

virtual Standard_EXPORT void Interface_InterfaceMismatch::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from Interface_InterfaceError.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Interface_InterfaceMismatch_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Interface_InterfaceMismatch.hxx